Jump to content
Nabeel

phpVMS 7 Alpha 2

Recommended Posts

Hi everyone!

The 2nd alpha version is available for people to test and play with:

The biggest changes are that PHP 7.1 is required now. There are tons of bug fixes and extra features, which are documented in the changelog, and some things to make things easier, based on feedback. Bugs, etc, should posted in the issue tracker on Github

The next release will be a beta version, with finances working, and hopefully finalized all features for a major release. No, I don't have a timeline :)

*NOTE* ATM, there are no ACARS compatible. The API won't be changing much, so see the docs if you're wanting to develop your own ACARS application, or to update yours to add compatibility: http://docs.phpvms.net/developers/acars

Share this post


Link to post
Share on other sites
11 hours ago, Nabeel said:

Hi everyone!

The 2nd alpha version is available for people to test and play with:

The biggest changes are that PHP 7.1 is required now. There are tons of bug fixes and extra features, which are documented in the changelog, and some things to make things easier, based on feedback. Bugs, etc, should posted in the issue tracker on Github

The next release will be a beta version, with finances working, and hopefully finalized all features for a major release. No, I don't have a timeline :)

*NOTE* ATM, there are no ACARS compatible. The API won't be changing much, so see the docs if you're wanting to develop your own ACARS application, or to update yours to add compatibility: http://docs.phpvms.net/developers/acars

Sounds too good to be true

works fine here installations are good everything seems to run fine on my dedicated server and my private vps running ubuntu both

good job!

can't wait for beta release

it's scheduled tomorrow right? :)

just  kidding take you're time

Share this post


Link to post
Share on other sites
5 hours ago, spkier said:

Sounds too good to be true

works fine here installations are good everything seems to run fine on my dedicated server and my private vps running ubuntu both

good job!

can't wait for beta release

it's scheduled tomorrow right? :)

just  kidding take you're time

Awesome! 

Share this post


Link to post
Share on other sites
3 hours ago, Nabeel said:

Awesome! 

btw if i install phpvms 7 alpha2 can i update to beta later or do  i have to reinstall  as i don't know how to update phpvms7

Share this post


Link to post
Share on other sites
4 hours ago, spkier said:

btw if i install phpvms 7 alpha2 can i update to beta later or do  i have to reinstall  as i don't know how to update phpvms7

At this point it'll require a reinstall. But from the beta on, I'm hoping that just uploading the files and then going to the update URL will suffice.

Share this post


Link to post
Share on other sites

Warning: require(C:\xampp\htdocs\sdi\bootstrap/../vendor/autoload.php): failed to open stream: No such file or directory in C:\xampp\htdocs\sdi\bootstrap\autoload.php on line 17

Fatal error: require(): Failed opening required 'C:\xampp\htdocs\sdi\bootstrap/../vendor/autoload.php' (include_path='C:\xampp\php\PEAR') in C:\xampp\htdocs\sdi\bootstrap\autoload.php on line 17

 

What I'm doing wrong?

Share this post


Link to post
Share on other sites
5 hours ago, Adel said:

Warning: require(C:\xampp\htdocs\sdi\bootstrap/../vendor/autoload.php): failed to open stream: No such file or directory in C:\xampp\htdocs\sdi\bootstrap\autoload.php on line 17

Fatal error: require(): Failed opening required 'C:\xampp\htdocs\sdi\bootstrap/../vendor/autoload.php' (include_path='C:\xampp\php\PEAR') in C:\xampp\htdocs\sdi\bootstrap\autoload.php on line 17

 

What I'm doing wrong?

Do you have composer installed?

open your console and write cd C:/xampp/htdocs/sdi

then run composer install

This command will install all package dependencies that phpvms need to run, if still doesn't work, run composer dump-autoload

PS: You can download composer here https://getcomposer.org/download/

Edited by ProSkyDesign
  • Like 1

Share this post


Link to post
Share on other sites
On 5/5/2018 at 11:35 AM, Adel said:

Warning: require(C:\xampp\htdocs\sdi\bootstrap/../vendor/autoload.php): failed to open stream: No such file or directory in C:\xampp\htdocs\sdi\bootstrap\autoload.php on line 17

Fatal error: require(): Failed opening required 'C:\xampp\htdocs\sdi\bootstrap/../vendor/autoload.php' (include_path='C:\xampp\php\PEAR') in C:\xampp\htdocs\sdi\bootstrap\autoload.php on line 17

 

What I'm doing wrong?

I'm not sure how composer handles Windows, esp with pathing, etc. It's not being designed to run on Windows hosts. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×